<div class="context-min">
  <div class="border mat-elevation-z18">

    <div class="row pr-2 pl-1" *ngIf="isAdmin">
      <div class="col-md-1 pl-4 offset-md-11  align-items-end">
        <mat-icon class="delete-icon" (click)="deleteChallenge()">delete</mat-icon>
      </div>
    </div>

    <div class="row pr-2 pl-1" *ngIf="isModerator">
      <div class="col-md-1 pl-4 offset-md-11  align-items-end">
        <mat-icon class="click color-blue" (click)="mergeChallenge()">edit</mat-icon>
      </div>
    </div>

    <div class="row pt-2 pr-2 pl-1 sub-text-already" *ngIf="challenge.alreadyFilled">
      <div class="col">
        <mat-icon>done</mat-icon>
        You have already filled this challenge -  {{challenge.obtainPoints}} points
      </div>
    </div>

    <div class="row pt-3 header">
      <div class="col-8 offset-2">
        {{challenge.name}}
      </div>
    </div>

    <ng-container *ngIf="!challenge.general">
      <div class="row pl-3 pb-1 sub-text">
        <div class="col">
          <mat-icon>directions_car</mat-icon>
          {{challenge.company}}, {{challenge.model}}, {{challenge.generation}}
        </div>
      </div>
    </ng-container>

    <ng-container *ngIf="challenge.general">
      <div class="row pl-3 pb-1 sub-text">
        <div class="col">
          <mat-icon>360</mat-icon>
          General for cars
        </div>
      </div>
    </ng-container>


    <div class="row pl-3 pb-1 sub-text" (click)="goToProfile()">
      <div class="col fixed-width" matTooltip="Profile" matTooltipPosition="left">
        <div [ngClass]="{'click' : challenge.creatorId!='sys'}">
          <mat-icon>person</mat-icon>
          {{challenge.creatorData.name}} {{challenge.creatorData.lastName}}
        </div>
      </div>
    </div>

    <div class="row pl-3 pb-1 sub-text">
      <div class="col ">
        <mat-icon>rule</mat-icon>
        {{challenge.questionsCount}} questions
      </div>
    </div>

    <div class="row pl-3 pb-1 sub-text">
      <div class="col ">
        <mat-icon>verified</mat-icon>
        {{challenge.allPoints}} points
      </div>
    </div>

    <div class="row pt-3 pb-3 click" *ngIf="!challenge.alreadyFilled">
      <div class="col-2 offset-5 ">
        <button class="mat-flat-button full-width start-button" color="accent" mat-flat-button
                (click)="startChallenge()">Start
        </button>
      </div>
    </div>
  </div>
</div>

